Bug 1727463 - [abrt] goldendict: goldendict killed by SIGSEGV
Summary: [abrt] goldendict: goldendict killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: goldendict
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mosaab Alzoubi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:59370b19243377d3929f2cb5b9f...
: 1739955 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-06 15:43 UTC by Chris Tao
Modified: 2019-08-27 15:28 UTC (History)
4 users (show)

Fixed In Version: goldendict-1.5-0.22.RC2.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-27 15:28:03 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (138.54 KB, text/plain)
2019-07-06 15:43 UTC, Chris Tao
no flags Details
File: cgroup (331 bytes, text/plain)
2019-07-06 15:43 UTC, Chris Tao
no flags Details
File: core_backtrace (22.27 KB, text/plain)
2019-07-06 15:43 UTC, Chris Tao
no flags Details
File: cpuinfo (1.34 KB, text/plain)
2019-07-06 15:43 UTC, Chris Tao
no flags Details
File: dso_list (21.07 KB, text/plain)
2019-07-06 15:43 UTC, Chris Tao
no flags Details
File: exploitable (81 bytes, text/plain)
2019-07-06 15:43 UTC, Chris Tao
no flags Details
File: limits (1.29 KB, text/plain)
2019-07-06 15:43 UTC, Chris Tao
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2019-07-06 15:43 UTC, Chris Tao
no flags Details

Description Chris Tao 2019-07-06 15:43:13 UTC
Description of problem:
After upgrading qt5 to 5.12.4, goldendict crashes upon exiting. Desktop is Gnome.
Looks like it's fixed in upstream master: https://github.com/goldendict/goldendict/issues/1145

Version-Release number of selected component:
goldendict-1.5-0.19.RC2.fc30

Additional info:
reporter:       libreport-2.10.0
backtrace_rating: 3
cmdline:        goldendict
executable:     /usr/bin/goldendict
journald_cursor: s=18d97538638e419fba5f30d6a5ed243b;i=13382;b=b100b140572d4f04906135dd8cfead36;m=ae28a553f;t=58d04c5b621f0;x=be81bb4609523cd6
kernel:         5.1.15-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 ??
 #1 QGestureManager::~QGestureManager at kernel/qgesturemanager.cpp:120
 #3 QObjectPrivate::deleteChildren at kernel/qobject.cpp:2016
 #4 QObject::~QObject at kernel/qobject.cpp:1032
 #5 QCoreApplication::~QCoreApplication at ../../include/QtCore/../../src/corelib/tools/qstringlist.h:99
 #6 QGuiApplication::~QGuiApplication at kernel/qguiapplication.cpp:695
 #7 QApplication::~QApplication() at kernel/qapplication.cpp:858

Comment 1 Chris Tao 2019-07-06 15:43:17 UTC
Created attachment 1587906 [details]
File: backtrace

Comment 2 Chris Tao 2019-07-06 15:43:18 UTC
Created attachment 1587907 [details]
File: cgroup

Comment 3 Chris Tao 2019-07-06 15:43:21 UTC
Created attachment 1587908 [details]
File: core_backtrace

Comment 4 Chris Tao 2019-07-06 15:43:22 UTC
Created attachment 1587909 [details]
File: cpuinfo

Comment 5 Chris Tao 2019-07-06 15:43:24 UTC
Created attachment 1587910 [details]
File: dso_list

Comment 6 Chris Tao 2019-07-06 15:43:25 UTC
Created attachment 1587911 [details]
File: exploitable

Comment 7 Chris Tao 2019-07-06 15:43:26 UTC
Created attachment 1587912 [details]
File: limits

Comment 8 Chris Tao 2019-07-06 15:43:27 UTC
Created attachment 1587913 [details]
File: proc_pid_status

Comment 9 Kamil Páral 2019-07-10 13:36:12 UTC
Similar problem has been detected:

I closed GoldenDict using the systray icon.

reporter:       libreport-2.10.1
backtrace_rating: 3
cmdline:        /usr/bin/goldendict
executable:     /usr/bin/goldendict
journald_cursor: s=0337b63a8f3441aaa7729c2fd6681b9f;i=7ebe2;b=ed029d559a8249cfa32f4af9235634e5;m=5348b3dfe;t=58d539e2caf82;x=d2f53e8826b24f67
kernel:         5.1.16-300.fc30.x86_64
package:        goldendict-1.5-0.19.RC2.fc30
reason:         goldendict killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 10 Mohammad Ghorbiyan 2019-08-12 01:08:30 UTC
*** Bug 1739955 has been marked as a duplicate of this bug. ***

Comment 11 Fedora Update System 2019-08-26 09:40:48 UTC
FEDORA-2019-b140a423f2 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b140a423f2

Comment 12 Fedora Update System 2019-08-27 15:28:03 UTC
goldendict-1.5-0.22.RC2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.